import { AxiosInstance } from "axios";
import { TokenInfo } from "types/NativeALBTinfo";
export declare abstract class RouterSDK {
    signerOrProvider: any;
    chainId: number;
    config: any;
    axios: AxiosInstance;
    abridgeBackendURL: string;
    backendAxios: AxiosInstance;
    frontEndVersion: number;
    validatorURL: string;
    validatorVersion: string;
    nftValidatorURL: string;
    nftValidatorVersion: string;
    nftAxios: AxiosInstance;
    nativeALBTinfo: TokenInfo;
    blackListedTokens: TokenInfo[];
    constructor(signerOrProvider: any, optionalParams: any);
    _configValidators(optionalParams: any): void;
    /**
     * @param optionalParams
     * @property nftValidators: string[]
     * @property abridgeBackend: string
     * @property frontEndVersion: number
     */
    setParams(optionalParams: any): void;
    getUserAssets(userAddress: string, assetContractAddress: string, openseaApiKey: string, nftTransferPage: number): Promise<any>;
    getUserCollections(userAddress: string, openseaApiKey: string): Promise<any>;
    estimateErc20AutoClaim(sourceChainId: any, // number
    targetChainId: any, // number
    tokenAddress: any, // address, like 0x...
    amount: any, // string, like 0.1
    senderAddress: any, // address, like 0x...
    receiverAddress: any): Promise<any>;
    getClaimsLegacy(userAddress: any, targetChainId: any, page?: string): Promise<{
        claims: any;
        totalCount: any;
    }>;
    getErc20Claims(targetChainId: any, userAddress: any): Promise<any[]>;
    getNftClaims(targetChainId: any, userAddress: any): Promise<any[]>;
    getRandomProperty(obj: any): any;
    getValidatorVersionLegacy(): Promise<any>;
    getWrappedTokensLegacy(chainId: any): Promise<any>;
    loadTokenMetadata(metadataUrl: any): Promise<any>;
    setNftValidator(url: any): void;
    setValidator(url: any): void;
    _decodeErc20Transmissions(transmissions: any): any[];
    _decodeNftTransmissions(transmissions: any): any[];
    _getAllValidators(validators: any): any[];
    _getDefaultConfiguredNftValidatorVersion(): Promise<any>;
    _getDefaultConfiguredValidatorVersion(): Promise<any>;
    abstract _loadNftsByCollectionAndIdMulticall(collections: any): Promise<any[]>;
    _setNftValidatorBasedOnVersion(validatorArray: any, checkedVersion: any): Promise<void>;
    _setValidatorBasedOnVersion(validatorArray: any, checkedVersion: any): Promise<void>;
}
